
from distutils.core import setup
from distutils.extension import Extension


setup(
    name = 'spw',
    version = '0.0.1',
    description = 'Simple Pygame Wrapper provides a 2D canvas abstraction with translation and scaling.',
    url = 'http://code.google.com/p/spw/',
    author = "Simon Wittber",
    author_email = "simonwittber@gmail.com",
    license = "LGPL",
    long_description = """SPW provides a canvas context for pygame surfaces, allowing a canvas to
be translated and scaled. It also automatically handles dirt screen rect
updates.

import pygame
from spw import gui

screen = pygame.display.set_mode((800,600))

with gui.Context() as canvas:
    canvas.translate((400,300))
    canvas.blit(sprite, (0,0))
    canvas.translate((50,0))
    canvas.scale(0.5)
    canvas.blit(sprite, (0,0))

""",
    platforms = ["Any"],

    packages = ["spw"],
)
